import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatDatepickerInputEvent } from '@angular/material/datepicker';
import { FormControl, FormBuilder, FormGroup } from '@angular/forms';
import { MatDateFormats } from '@angular/material/core';
export declare const MY_FORMATS: MatDateFormats;
export declare class Datepicker2Component implements OnChanges {
    private fb;
    chooseLabel: string;
    disable: boolean;
    required: boolean;
    disableCalendar: boolean;
    hideError: boolean;
    date: Date;
    startDateRange: Date;
    endDateRange: Date;
    min: number;
    max: number;
    reset: boolean;
    dateRange: boolean;
    dateChange: EventEmitter<any>;
    dateForm: FormControl;
    form: FormGroup;
    clickout(event: any): void;
    constructor(fb: FormBuilder);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Method to detect changes on the datepicker
     * @param type - Event type, input or calendar
     * @param event - new date
     */
    addEvent(type: string, event: MatDatepickerInputEvent<Date>): void;
    dtpOpened(): void;
    markAsDirty(): void;
    onCloseDatePickerRange(): void;
}
